> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate a Statement



## OpenAPI

````yaml api-reference/openapi-account.json POST /account/{account_id}/statement
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Account
  version: 1.18.581-gbba3b1de
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /account/{account_id}/statement:
    post:
      tags:
        - Account Documents
      summary: Generate Statement
      parameters:
        - description: Account ID
          in: path
          name: account_id
          required: true
          schema:
            description: Account ID
            type: string
      requestBody:
        content:
          application/json:
            examples:
              example:
                summary: Success
                value:
                  apy: '3.50'
                  date: 2024-03
                  email_address: support@example.com
                  footnote: >-
                    In case of errors or questions about your electronic
                    transfers, call +1 555-123-4567 or write to
                    support@example.com within 60 days of the statement date.
                  org_legal_name: Example Financial Inc
                  phone_number: +1 555-123-4567
                  support_url: https://support.example.com
                  type: monthly
            schema:
              properties:
                account_id:
                  description: Account ID
                  type: string
                apy:
                  description: >-
                    Annual Percentage Yield to be displayed on statements
                    generated with this configuration. Must be non-negative. APY
                    will be displayed with two-decimal precision and must be
                    provided with two-decimal precision. The provided `apy` is
                    taken as a percentage, e.g. `3.50` would indicate an APY of
                    3.50%. Either `apy` or `apy_custom` must be populated. 
                  pattern: ^[0-9][.][0-9][0-9]$
                  type: string
                apy_custom:
                  description: >-
                    Custom text to include on statements to describe the Annual
                    Percentage Yield. The text provided will be displayed as
                    right-aligned plain text above the summary on the statement.
                    This field is intended to allow displaying tiered or other
                    APY formats when APY is not a simple rate. When `apy_custom`
                    is provided it will be used instead of an Annual Percentage
                    Yield field in the summary. Either `apy` or `apy_custom`
                    must be populated. 
                  type: string
                bank_disclosure_message:
                  description: >-
                    Bank disclosure that appears at the bottom of each statement
                    page. Defaults to "Account offered by <bank> Member FDIC".
                  type: string
                date:
                  description: Statement date in `YYYY-MM` format.
                  type: string
                display_authorized_user:
                  description: >-
                    When this field is true, names of persons with the
                    `authorized_user` will be displayed above the owner name in
                    the format `<name>, Representative Payee for <owner-name>`.
                    Defaults to `false`.
                  type: boolean
                email_address:
                  description: Customer support email address to appear on statements.
                  type: string
                footnote:
                  description: >-
                    Field to add footnote language, including Reg E Customer
                    Complaint Information & Language. Whatever is entered into
                    this field will appear as plain text at the bottom of the
                    statement. Note, the copy included in this field is subject
                    to approval by your partner bank.
                  type: string
                interest_earned:
                  description: >-
                    Interested earned on the account during the period of the
                    statement.
                  pattern: ^-?[0-9]+[.][0-9][0-9]$
                  type: string
                logo_file_id:
                  description: >-
                    ID of the File containing the logo to appear on statements.
                    Allowed image formats are PNG, JPEG and TIFF. Image will be
                    scaled down to fit in a 360x54 region.
                  type: string
                org_legal_name:
                  description: Legal name of your business to appear on statements.
                  type: string
                phone_number:
                  description: Customer support phone number to appear on statements.
                  type: string
                physical_address:
                  description: >-
                    Address object representing the physical address of your
                    business which will appear on statements
                  properties:
                    city:
                      description: City
                      type: string
                    postal_code:
                      description: Postal code
                      type: string
                    state:
                      description: State
                      type: string
                    street_line_1:
                      description: First line of the address
                      type: string
                    street_line_2:
                      description: Optional second line of the address
                      type: string
                  type: object
                show_transaction_ids:
                  description: >-
                    When field is true, the Treasury Prime transaction id is
                    shown on each transaction row on the statement. Defaults to
                    `false`.
                  type: boolean
                statement_template_id:
                  description: >-
                    ID of a statement template to use for rendering. When
                    provided, the template's Handlebars file is used to generate
                    the PDF instead of the default format. Contact support to
                    add custom templates.
                  type: string
                support_url:
                  description: Customer support website to appear on statements.
                  type: string
                timezone:
                  description: >-
                    Must be a valid Canonical timezone string from the tz
                    database, this timezone is used for formatting the dates of
                    items on the generated statement. Defaults to `UTC`.
                  type: string
                type:
                  description: Type of statement. Only `monthly` is currently supported.
                  type: string
              required:
                - date
                - phone_number
                - account_id
                - type
                - footnote
                - org_legal_name
                - email_address
                - support_url
        description: The account.statement.create to create
        required: true
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  summary: Success
                  value:
                    account_id: acct_2074732992
                    apy: '3.50'
                    date: 2024-03
                    email_address: support@example.com
                    footnote: >-
                      In case of errors or questions about your electronic
                      transfers, call +1 555-123-4567 or write to
                      support@example.com within 60 days of the statement date.
                    org_legal_name: Example Financial Inc
                    phone_number: +1 555-123-4567
                    support_url: https://support.example.com
                    type: monthly
                    url: >-
                      https://api.treasuryprime.com/account/acct_2074732992/statement/file_11jq1f6w3h6jr
              schema:
                properties:
                  account_id:
                    description: Account ID
                    type: string
                  apy:
                    description: >-
                      Annual Percentage Yield to be displayed on statements
                      generated with this configuration. Must be non-negative.
                      APY will be displayed with two-decimal precision and must
                      be provided with two-decimal precision. The provided `apy`
                      is taken as a percentage, e.g. `3.50` would indicate an
                      APY of 3.50%. Either `apy` or `apy_custom` must be
                      populated. 
                    pattern: ^[0-9][.][0-9][0-9]$
                    type: string
                  apy_custom:
                    description: >-
                      Custom text to include on statements to describe the
                      Annual Percentage Yield. The text provided will be
                      displayed as right-aligned plain text above the summary on
                      the statement. This field is intended to allow displaying
                      tiered or other APY formats when APY is not a simple rate.
                      When `apy_custom` is provided it will be used instead of
                      an Annual Percentage Yield field in the summary. Either
                      `apy` or `apy_custom` must be populated. 
                    type: string
                  bank_disclosure_message:
                    description: >-
                      Bank disclosure that appears at the bottom of each
                      statement page. Defaults to "Account offered by <bank>
                      Member FDIC".
                    type: string
                  date:
                    description: Statement date in `YYYY-MM` format.
                    type: string
                  display_authorized_user:
                    description: >-
                      When this field is true, names of persons with the
                      `authorized_user` will be displayed above the owner name
                      in the format `<name>, Representative Payee for
                      <owner-name>`. Defaults to `false`.
                    type: boolean
                  email_address:
                    description: Customer support email address to appear on statements.
                    type: string
                  footnote:
                    description: >-
                      Field to add footnote language, including Reg E Customer
                      Complaint Information & Language. Whatever is entered into
                      this field will appear as plain text at the bottom of the
                      statement. Note, the copy included in this field is
                      subject to approval by your partner bank.
                    type: string
                  interest_earned:
                    description: >-
                      Interested earned on the account during the period of the
                      statement.
                    pattern: ^-?[0-9]+[.][0-9][0-9]$
                    type: string
                  logo_file_id:
                    description: >-
                      ID of the File containing the logo to appear on
                      statements. Allowed image formats are PNG, JPEG and TIFF.
                      Image will be scaled down to fit in a 360x54 region.
                    type: string
                  org_legal_name:
                    description: Legal name of your business to appear on statements.
                    type: string
                  phone_number:
                    description: Customer support phone number to appear on statements.
                    type: string
                  physical_address:
                    description: >-
                      Address object representing the physical address of your
                      business which will appear on statements
                    properties:
                      city:
                        description: City
                        type: string
                      postal_code:
                        description: Postal code
                        type: string
                      state:
                        description: State
                        type: string
                      street_line_1:
                        description: First line of the address
                        type: string
                      street_line_2:
                        description: Optional second line of the address
                        type: string
                    type: object
                  show_transaction_ids:
                    description: >-
                      When field is true, the Treasury Prime transaction id is
                      shown on each transaction row on the statement. Defaults
                      to `false`.
                    type: boolean
                  statement_template_id:
                    description: >-
                      ID of a statement template to use for rendering. When
                      provided, the template's Handlebars file is used to
                      generate the PDF instead of the default format. Contact
                      support to add custom templates.
                    type: string
                  support_url:
                    description: Customer support website to appear on statements.
                    type: string
                  timezone:
                    description: >-
                      Must be a valid Canonical timezone string from the tz
                      database, this timezone is used for formatting the dates
                      of items on the generated statement. Defaults to `UTC`.
                    type: string
                  type:
                    description: Type of statement. Only `monthly` is currently supported.
                    type: string
                  url:
                    description: URL to download the new statement
                    type: string
          description: The account.statement.create created
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````